import threading
import asyncio
import tornado
import navpoint.content


class GetHandler(tornado.web.RequestHandler):
    def get(self):
        self.write(navpoint.content.content)


async def main():
    app = tornado.web.Application(
        [
            (r"/navpoint.kml", GetHandler),
        ]
    )
    app.listen(8888, address="127.0.0.1")
    await asyncio.Event().wait()


def run():
    threading.Thread(target=asyncio.run, args=(main(),), daemon=True).start()
